wreport::benchmark::BasicProgress Struct Reference

Basic progress implementation writing progress information to the given output stream. More...

`#include <benchmark.h>`

Inheritance diagram for wreport::benchmark::BasicProgress:

## Public Member Functions

| BasicProgress (FILE *out=stdout, FILE *err=stderr)
void | start_benchmark (const Benchmark &b) override
void | start_iteration (const Benchmark &b, unsigned cur, unsigned total) override
void | end_iteration (const Benchmark &b, unsigned cur, unsigned total) override
void | end_benchmark (const Benchmark &b) override
void | test_failed (const Benchmark &b, std::exception &e) override

## Data Fields

FILE * | out
FILE * | err

## Detailed Description

Basic progress implementation writing progress information to the given output stream.

## Member Function Documentation

## end_benchmark()

void wreport::benchmark::BasicProgress::end_benchmark | ( | const Benchmark & | b | ) |

override virtual

Implements wreport::benchmark::Progress.

## end_iteration()

void wreport::benchmark::BasicProgress::end_iteration | ( | const Benchmark & | b,
|  | unsigned | cur,
|  | unsigned | total )

override virtual

Implements wreport::benchmark::Progress.

## start_benchmark()

void wreport::benchmark::BasicProgress::start_benchmark | ( | const Benchmark & | b | ) |

override virtual

Implements wreport::benchmark::Progress.

## start_iteration()

void wreport::benchmark::BasicProgress::start_iteration | ( | const Benchmark & | b,
|  | unsigned | cur,
|  | unsigned | total )

override virtual

Implements wreport::benchmark::Progress.

## test_failed()

void wreport::benchmark::BasicProgress::test_failed | ( | const Benchmark & | b,
|  | std::exception & | e )

override virtual

Implements wreport::benchmark::Progress.

The documentation for this struct was generated from the following file:

- benchmark.h